Bug 970716 - cvs fails to build on fc19 with texinfo-5.1
cvs fails to build on fc19 with texinfo-5.1
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cvs (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 12:57 EDT by Mark Salter
Modified: 2014-07-02 09:21 EDT (History)
2 users (show)

See Also:
Fixed In Version: cvs-1.11.23-30.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-02 09:21:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Salter 2013-06-04 12:57:34 EDT
Description of problem:
Fails to build on fc19 using texinfo-5.1 CVS did build for fc19 in the past, but that was with texinfo-4.13. That and the error message makes me think it fails because of texinfo version. May actually be a texinfo problem. Not sure.

Version-Release number of selected component (if applicable):
cvs-1.11.23-29

How reproducible:
100%

Steps to Reproduce:
1. Build CVS using current fc19 packages (texinfo-5, in particular)
2. mock -r fedora-19-x86_64 --rebuild cvs-1.11.23-29.fc19.src.rpm
3.

Actual results:
...
rm -rf $backupdir; exit $rc
cvs.texinfo:114: @sp missing argument
cvs.texinfo:116: @sp missing argument
cvs.texinfo:12845: warning: node next `commit files' in menu `taginfo' and in sectioning `rcsinfo' differ
cvs.texinfo:13405: warning: node next `rcsinfo' in menu `cvsignore' and in sectioning `taginfo' differ
cvs.texinfo:13405: warning: node prev `rcsinfo' in menu `taginfo' and in sectioning `commit files' differ
cvs.texinfo:13463: warning: node next `taginfo' in menu `rcsinfo' and in sectioning `cvsignore' differ
cvs.texinfo:13463: warning: node prev `taginfo' in menu `commit files' and in sectioning `rcsinfo' differ
cvs.texinfo:13500: warning: node prev `cvsignore' in menu `rcsinfo' and in sectioning `taginfo' differ
make[2]: *** [cvs.info] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/cvs-1.11.23/doc'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/cvs-1.11.23'
make: *** [all] Error 2

Expected results:
No error.

Additional info:
Comment 1 Petr Pisar 2013-06-05 02:18:38 EDT
I recall I already fixed similar problem at another package. Though I would like to yell to texinfo maintainer to stop rebasing texinfo in already frozen Fedora branch.
Comment 2 Fedora Update System 2013-06-05 03:35:00 EDT
cvs-1.11.23-30.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cvs-1.11.23-30.fc19
Comment 3 Fedora Update System 2013-06-13 02:46:31 EDT
cvs-1.11.23-30.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-06-18 07:46:55 EDT
cvs-1.11.23-30.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/cvs-1.11.23-30.fc18
Comment 5 Fedora Update System 2013-06-18 07:47:27 EDT
cvs-1.11.23-27.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cvs-1.11.23-27.fc17
Comment 6 Fedora Update System 2013-06-26 21:54:12 EDT
cvs-1.11.23-27.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-06-26 21:58:30 EDT
cvs-1.11.23-30.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.